import { PipeTransform } from "@angular/core";
export declare class SortByPipe implements PipeTransform {
    /** Return an array (input) sorter  by given atribute(s),
     * @param  input array input
     * @param  attrs array of atributes of attributes by which it is sorted,  use - if you want it to be in descending order
     * @param  type array of atributes types ['string','number','date'] (they are the only types currently supported),
     * this fields must be the same size as attrs
     */
    transform(input: Array<any>, attrs?: Array<string>): Array<any>;
}
export declare function fieldSorter(fields: string[]): (a: any, b: any) => any;
