import { PipeTransform } from '@angular/core';
export declare class GroupByPipe implements PipeTransform {
    /**
     * Return an array where each different value of attr is an property of this, and they values are an sub array of the input;
     * @param input array to group
     * @param attr attribute by which the input is grouped
     * @return [{group:'strawberries',items:[...]}]
     */
    transform(input: any[], attr: any): any;
}
